%token NUM
%token NL
%%
LIST	: LIST E NL { printf("%d\n", $2); }
	| /* empty */
	;

E	: E '+' T { $$ = $1 + $3; }
	| T { $$ = $1; }
	;

T	: T '*' NUM { $$ = $1 * $3; }
	| NUM { $$ = $1; }
	;

%%
#include "lex.yy.c"

main() {
	yyparse();
}

int yyerror(const char *s)
{
	printf("ERROR: %s\n", s);
	return 0;
}
